### partial_cancel_at_timer

A function object type that adapts a completion token to cancel an operation at a given time.

    template<
        typename Clock,
        typename WaitTraits = asio::wait_traits<Clock>,
        typename Executor = any_io_executor>
    class partial_cancel_at_timer

##### Member Functions

Name | Description
--- | ---
operator() | Adapt a completion token to specify that the completion handler arguments should be combined into a single tuple argument.
partial_cancel_at_timer [constructor] | Constructor that specifies the expiry and cancellation type.

##### Data Members

Name | Description
--- | ---
cancel_type_ |
expiry_ |
timer_ |

May also be used directly as a completion token, in which case it adapts the asynchronous operation's default completion token (or `deferred` if no default is available).

##### Requirements

Header: `asio/cancel_at.hpp`

Convenience header: `asio.hpp`